<?php

define("ASSIGNMENTS_MODULE_DIR","./modules/assignments");
define("ASSIGNMENTS_MODULE_DIR_ADMIN","../modules/assignments");

$action = $_REQUEST['a'];
$isAdmin = stripos($_SERVER['SCRIPT_NAME'],"/admin/")===false?false:true;

if($isAdmin && $action == "functions"){

	include_once(ASSIGNMENTS_MODULE_DIR_ADMIN . '/assignments.functions.php');
}elseif($action == "functions"){
	include_once(ASSIGNMENTS_MODULE_DIR . '/assignments.functions.php');
}elseif($action == "manage"){
	include_once(ASSIGNMENTS_MODULE_DIR_ADMIN . '/assignments.manage.php');
}elseif($action == "queue"){
//die( "test2");
	include_once(ASSIGNMENTS_MODULE_DIR_ADMIN . '/assignments.queue.php');
}elseif($action == "view"){
//die( "test2");
	include_once(ASSIGNMENTS_MODULE_DIR_ADMIN . '/assignments.view.php');
}elseif($action == "history"){
	include_once(ASSIGNMENTS_MODULE_DIR_ADMIN . '/assignments.history.php');
}
?>
